View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18026Bug reportsSurvey takingpublic2022-05-11 15:04
Reportergalads Assigned Togabrieljenik  
PriorityhighSeverityminor 
Status assignedResolutionfixed 
Product Version5.2.x 
Summary18026: Session expire message when submit button is clicked twice
Description

After clicking submit, it takes time to go to the next page and if respondents click the submit button again, they see the expired session message.

FIX:
A simple fix could be just to disable the submit button after being pushed
A waiting indicator/spinner

Steps To Reproduce

Steps to reproduce

Activate any survey and enter responses
On the submit page, click twice

Expected result

Nothing should happen and a redirect to the end page

Actual result

session expired message.

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)All
I will donate to the project if issue is resolvedNo
Browser
Database type & versionn/a
Server OS (if known)
Webserver software & version (if known)
PHP Versionn/a

Relationships

related to 18098 testinggabrieljenik Bug reports jumping to place in question index not working 
related to 18074 closedgabrieljenik Bug reports Exit and clear survey doesn't work 
parent of 18096 testinggabrieljenik Bug reports Unable to save survey with top link (and nothing happen) 
Not all the children of this issue are yet resolved or closed.

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

galads

galads

2022-04-08 10:54

administrator   ~68943

gabrieljenik

gabrieljenik

2022-04-08 22:21

manager   ~68955

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2337

Implemented a new feature for disabling submit button upon submission.
Although this is registered as a bug, I have sent the pr to develop branch, asset it is quite sensitive and after all it's like a new feature.

gabrieljenik

gabrieljenik

2022-04-14 20:44

manager   ~69085

PR LTS: https://github.com/LimeSurvey/LimeSurvey/pull/2353

gabrieljenik

gabrieljenik

2022-04-25 19:21

manager   ~69227

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33429

LimeBot

LimeBot

2022-04-26 09:42

administrator   ~69238

Fixed in Release 3.28.8+220426

gabrieljenik

gabrieljenik

2022-05-11 14:53

manager   ~69577

Reopening as more tasks are requested for master: Waiting indicator

https://github.com/LimeSurvey/LimeSurvey/pull/2337#issuecomment-1111476591

Related Changesets

LimeSurvey: 3.x-LTS 8082779b

2022-04-25 19:20:55

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 18026: Session expire message when submit button is clicked twice (#2353) Affected Issues
18026
mod - assets/packages/limesurvey/survey.js Diff File

Issue History

Date Modified Username Field Change
2022-04-08 10:54 galads New Issue
2022-04-08 10:54 galads Assigned To => gabrieljenik
2022-04-08 10:54 galads Priority none => high
2022-04-08 10:54 galads Status new => confirmed
2022-04-08 10:54 galads Note Added: 68943
2022-04-08 10:54 galads File Added: 3 Assessment After Activated and User Click while waiting_Trim.mp4
2022-04-08 10:54 galads Bug heat 0 => 2
2022-04-08 22:21 gabrieljenik Status confirmed => testing
2022-04-08 22:21 gabrieljenik Note Added: 68955
2022-04-08 22:21 gabrieljenik Bug heat 2 => 4
2022-04-14 20:44 gabrieljenik Note Added: 69085
2022-04-25 19:21 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 8082779b
2022-04-25 19:21 gabrieljenik Note Added: 69227
2022-04-25 19:21 gabrieljenik Resolution open => fixed
2022-04-26 09:42 LimeBot Note Added: 69238
2022-04-26 09:42 LimeBot Status testing => closed
2022-04-26 09:42 LimeBot Bug heat 4 => 6
2022-05-09 17:45 DenisChenu Relationship added parent of 18096
2022-05-11 14:49 gabrieljenik Relationship added related to 18098
2022-05-11 14:49 gabrieljenik Relationship added related to 18074
2022-05-11 14:53 gabrieljenik Status closed => assigned
2022-05-11 14:53 gabrieljenik Note Added: 69577
2022-05-11 15:04 gabrieljenik Issue cloned: 18099